Bug 812970 - virt-rescue cannot set ><rescue> prompt, on Ubuntu 12.04
virt-rescue cannot set ><rescue> prompt, on Ubuntu 12.04
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 13:04 EDT by Richard W.M. Jones
Modified: 2014-06-10 17:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 17:01:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-04-16 13:04:41 EDT
Description of problem:

Welcome to virt-rescue, the libguestfs rescue shell.                            
                                                                                
Note: The contents of / are the rescue appliance.                               
You have to mount the guest's partitions under /sysroot                         
before you can examine them.                                                    
                                                                                
bash: cannot set terminal process group (-1): Inappropriate ioctl for device    
bash: no job control in this shell                                              
groups: cannot find name for group ID 0                                         
I have no name!@(none):/#

^^^ note the prompt should be "><rescue>"                               

Version-Release number of selected component (if applicable):

virt-rescue 1.14.8
(rather old version in Ubuntu)
Comment 1 Pino Toscano 2014-06-02 05:32:22 EDT
I can reproduce this also on Debian systems, both on Wheezy and on a current testing.
Comment 2 Pino Toscano 2014-06-10 17:01:12 EDT
Fixed with
https://github.com/libguestfs/libguestfs/commit/e6a858907fd7851148440dcfc7cbabc5cee75a71
which is in libguestfs >= 1.27.15.

Note You need to log in before you can comment on or make changes to this bug.